Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxLine

All Known Implementing Classes:
  TaxLineImpl

public interface TaxLine
extends Belonging

Has all the information from orderline required to do taxing, may be generated from an orderline. Attribute: freight

- Containment: By Value
- Multiplicity: 1:1

Attribute: price

- Containment: By Value
- Multiplicity: 1:1

Attribute: quantity

- Containment: By Value
- Multiplicity: 1:1

Attribute: taxCode

- Containment: By Value
- Multiplicity: 1:1

See Also:
  `TaxLineHome`, `TaxLineImpl`

Method Summary
`Price` | `getDiscountedPriceAmount()` Get the value of the discounted price
`Price` | `getFreight()` Get the value of freight
`Price` | `getPrice()` Get the value of price
`Quantity` | `getQuantity()` Get the value of quantity
`java.lang.String` | `getTaxCode()` Get the value of taxCode
`void` | `setDiscountedPriceAmount(Price price)` Set the value of the discounted price.
`void` | `setFreight(Price freight)` Set the value of freight
`void` | `setPrice(Price price)` Set the value of price
`void` | `setQuantity(Quantity quantity)` Set the value of quantity
`void` | `setTaxCode(java.lang.String taxCode)` Set the value of taxCode

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getFreight

    public Price getFreight()

  Get the value of freight

  Returns:
    freight.

### setFreight

    public void setFreight(Price freight)

  Set the value of freight

  Parameters:
    `freight` - freight to be added

### getPrice

    public Price getPrice()

  Get the value of price

  Returns:
    price.

### setPrice

    public void setPrice(Price price)

  Set the value of price

  Parameters:
    `price` - price to be added

### getDiscountedPriceAmount

    public Price getDiscountedPriceAmount()

  Get the value of the discounted price

  Returns:
    price.

### setDiscountedPriceAmount

    public void setDiscountedPriceAmount(Price price)

  Set the value of the discounted price. This is the amount off the full price.

  Parameters:
    `price` - price to be added

### getQuantity

    public Quantity getQuantity()

  Get the value of quantity

  Returns:
    quantity.

### setQuantity

    public void setQuantity(Quantity quantity)

  Set the value of quantity

  Parameters:
    `quantity` - quantity to be added

### getTaxCode

    public java.lang.String getTaxCode()

  Get the value of taxCode

  Returns:
    taxCode.

### setTaxCode

    public void setTaxCode(java.lang.String taxCode)

  Set the value of taxCode

  Parameters:
    `taxCode` - taxCode to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved